Subject: [p2p-sip] Standardizing upon patented technology ?

From: hannes.tschofenig at siemens.com (Tschofenig, Hannes)
Date: Tue, 28 Feb 2006 16:40:47 +0100

hi, 
 
you might want to look at: 
http://www.ietf.org/html.charters/ipr-charter.html
 
a suggestion to other folks on the list: 
from a legal point of view i would discourage people from sending
comments about patents. 
 
ciao
hannes

________________________________

	Von: p2p-sip-bounces at cs.columbia.edu
[mailto:p2p-sip-bounces at cs.columbia.edu] Im Auftrag von CASTAIGNET
Laurent RD-MAPS-ISS
	Gesendet: Dienstag, 28. Februar 2006 16:26
	An: p2p-sip at cs.columbia.edu
	Betreff: [p2p-sip] Standardizing upon patented technology ?

	Hi all, 

	I was recently informed of the existence of a patent filed
mid-2003 by a so-called "skyper" company (search "skyper" in the PCT
database there: http://www.wipo.int/ipdl/en/
<http://www.wipo.int/ipdl/en/> ). As a summary, the claims include at
least the following points, as far as I understood:

	* A decentralized telephone system, based on a peer-to-peer
network in which: 
	        => A DHT algorithm (referenced as "global index
technology") may be used to handle end user related data 
	        => Peers may be used as relays when direct communication
is not possible 
	* An access control based on certificate exchanges 
	* End user administration means 
	* Etc. 

	Of course, what is protected there is simply the Skype
architecture. It seems quite frightening to me, knowing that many of the
points mentioned in this patent are obviously important building blocks
for what this (future) working group is trying to build ...

	I'm not aware of the usual IETF procedures in this case. Can
anyone enlight me ? I know that integrating patented technologies in the
scope of an existing working group has already been done, but is it also
the case before its creation ?

	Thanks, 

	Laurent Castaignet.